Recent Posts

Pages: [1] 2 3 ... 10
1
Spanish / Zentyal 8 en LXC (Contenedor ProxMox)
« Last post by gose on March 03, 2024, 11:52:41 am »
Hola buenos dias a todos!
 Me dispongo a instalar Zentyal 8 en Proxmox, y se me ocurre que en lugar de instalarlo como VM, lo instalaré en LXC por aquello del rendimiento y aprovechamiento de recursos, tengo un Zentyal antiguo (3.5) que fue virtualizado de una máquina física y ahí está corriendo como un campeón, pero en LXC no he visto algo real y quiero probar a ver si funciona correctamente.
 Por otro lado lo estoy intentando y siempre saca un error al final de la instalación, parto de una plantilla ubuntu 22.04 y alli intento instalarlo, pero todas las instalaciones que he probado resultan en un erro final cuando está al 99% de la instalación:

******************************************************************************************
dpkg: error processing package zentyal-core (--configure):
 installed zentyal-core package post-installation script subprocess returned error exit status 2
dpkg: dependency problems prevent configuration of zentyal-software:
 zentyal-software depends on zentyal-core (>= 8.0.0); however:
  Package zentyal-core is not configured yet.
 zentyal-software depends on zentyal-core (<< 8.1.0); however:
  Package zentyal-core is not configured yet.

dpkg: error processing package zentyal-software (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of zentyal:
 zentyal depends on zentyal-core; however:
  Package zentyal-core is not configured yet.
 zentyal depends on zentyal-software; however:
  Package zentyal-software is not configured yet.

dpkg: error processing package zentyal (--configure):
 dependency problems - leaving unconfigured
Processing triggers for dbus (1.12.20-2ubuntu4.1) ...
Processing triggers for install-info (6.8-4build1) ...
Processing triggers for libc-bin (2.35-0ubuntu3.6) ...
Processing triggers for ufw (0.36.1-4ubuntu0.1) ...
Processing triggers for man-db (2.10.2-1) ...
Errors were encountered while processing:
 zentyal-core
 zentyal-software
 zentyal
E: Sub-process /usr/bin/dpkg returned an error code (1)
******************************************************************************************
ya llevo 4 instalaciones cambiando varias opciones y siempre sale este error al final, y no sé si es instalable o es problema de la plantilla o qyue se yo.
Cualquier ayuda es bienvenida!
Gracias a todos, un saludo.


2
Other modules / Re: Save and recovery error!
« Last post by pgyula on February 29, 2024, 09:07:48 am »
Hi!
1) I installed a new 7.1 server, as the old one was destroyed,
2) the hostname and localdomain are the same as the names from the backup,
3) Modules installed and enabled,
I've been using zentyal since 2016, I've done several restores, I haven't experienced this kind of error so I asked for help.
Thank you Pgyula.
3
News and Announcements / Re: Zentyal 8.0 available!
« Last post by Andor on February 28, 2024, 07:30:31 pm »
Seems like notifications via email have been enabled and I've received a notification about this 11 years after my last login in the forum. That should be checked!

Also, the SMF version on this forum hasn't been updated since then, for what I see...

Who's taking care of this information now that Gesforeda and Zentyal (the companies) don't exist anymore?
4
Other modules / Re: Save and recovery error!
« Last post by turalyon on February 28, 2024, 05:45:46 pm »
Hi,

To restore a configuration backup that contains the domain controller module within it, you must have the following:

1. The same hostname and domain are configured in System → General.
2. The DNS and Domain controller modules must be enabled (default values are OK).

Once both modules are up and running with the default information, you can import the configuration backup.

NOTE: If I were you, I would reinstall the server and then, repeat the mentioned process, just make sure the configuration backup is not deleted by accident.



This world is ours, and by the Holy Light, we will keep it safe, now and forever.
5
Other modules / Save and recovery error!
« Last post by pgyula on February 28, 2024, 02:41:38 pm »
Dear All!
I apologize if I am speaking to you in the wrong place!
I want to restore a 7.1 server with a new installation and I get the error message that samba service cannot be restored until I set the hostname that appears in the error message. After setting the hostname I get the same error message.
I have attached the screenshots for clarity. Due to sensitive data, the error message is also in screenshots. Unfortunately, the working server is unrecoverable so only the backup file could restore the configuration.
Thanks for your help in advance!
Pgyula
Serve! Since I can't attach a picture using any of the methods I've tried. I have included a link to download the screenshots
https://www.icloud.com/iclouddrive/05c9RFsPVdvmXvA1fJcuf-6Yw#ZentyalRestoreFromBackup-2024-02-28%5F3
https://www.icloud.com/iclouddrive/092dN10a9IX3re7ooiZuJW0Fg#ZentyalRestoreFromBackup-2024-02-28%5F4
6
Installation and Upgrades / Re: Zentyal 8
« Last post by Simon Matthews on February 28, 2024, 01:39:34 pm »
This product is a secuirty nightmare. I wouldn't feel comfortable deploying it anywhere.
7
Contributions / Tips&Tricks / Features Requests / What Is Going On?
« Last post by Simon Matthews on February 28, 2024, 01:37:15 pm »
I used to deploy Zentyal a long time ago for customers. If I was still working in that role, I would definitely not be deploying it any more. The product is stuck in the past. Although the web interface is fantastic in many ways, the rest of the product is deeply flawed.

It's amazing that there is absolutely no support for IPv6. To me that makes a product like this unusable.

I received the email saying that version 8 has now been released. I thought I would have a look at how the product is going and deployed it to an Linux Container. There are so many problems with this software. After installation I noticed it had done bizarre things to the permissions of critical system files. I discovered this in an attempt to force netplan to apply network and it was complaining about insecure permissions on its yaml files.

If your server is hacked in any way, it is done for.

The funniest thing that happened was I forgot I even had a user account here because it was been around 12 years since I last posted. I did a forget password and in the email to reset it, it said my IP was 172.18.0.10. What the heck is going on here? Do you actually receive money from people for this product?

Where is the MFA support? OIDC? SAML? This is hilarious.
8
News and Announcements / Zentyal 8.0 available!
« Last post by blorente on February 28, 2024, 10:20:33 am »
Hi all,

The Zentyal Development Team is glad to announce that Zentyal 8.0 is available for download now!

This is a new major release of the Zentyal Linux Server. This version is based on Ubuntu Server 22.04.3 LTS. This version comes with the most recent versions of all the integrated software, including Samba 4.15.13, Netplan instead of the old-fashioned network/interfaces, new Docker and Webserver modules, and finally the latest stable SOGo version.

This new version is available for download at:

https://download02.public.zentyal.com/zentyal-8.0-development-amd64.iso

https://download02.public.zentyal.com/zentyal-8.0-development-amd64.iso.md5

You can find out all the details in the official announcement and changelog:

https://zentyal.com/news/zentyal-server-8-0-development-now-available

https://zentyal.com/news/zentyal-8-0-changelog

If you hit any issues, please do report via GitHub: https://github.com/zentyal/zentyal/issues

Looking forward to receiving your feedback and comments!
9
German / Re: Zentyal 7.1 Erfahrungen
« Last post by Thomas Hoffmann on February 20, 2024, 09:48:38 am »
Hallo Markus,

kannst Du dies bitte näher erläutern? Wird info@... in den anderen Postfächern nicht angezeigt oder die Mails nicht dahin kopiert?
Wenn ich mich recht entsinne steuert das postfix und nicht SoGO. In Postfix muss dann nur ein entsprechender alias angelegt werden, mit den Empfängern.

Gruss

Thomas
10
Email and Groupware / Email Adresses with a plus sign (+) not accepted as DN
« Last post by markus.neubauer on February 15, 2024, 12:48:42 pm »
1) If adding virtual adresses in the form my-address+here.too@domain.tld EBox::LDAPBase::_errorOnLdap throws an error " LDAP error: The request contained an invalid DN" but the email address is perfectly valid (but rare used).

2) How do I add a second transport, i.e. all mail goes to smarthost but mail - for exmaple internals go via vpn to another host? Postfix param "transport_maps"
Pages: [1] 2 3 ... 10